# Class TextInput

## Index

### Methods

- build
- getElement
- getInput
- getValue
- reset
- setValue

### Constructors

- constructor

## Methods

### build

- build(): HTMLElement

- - Defined in ui/FormWidgets/TextInput.ts :133

  #### Returns HTMLElement

  The text input element.

### getElement

- getElement(): HTMLElement

- - Defined in ui/FormWidgets/TextInput.ts :92

  #### Returns HTMLElement

  The text input element.

### getInput

- getInput(): HTMLInputElement

- - Defined in ui/FormWidgets/TextInput.ts :141

  #### Returns HTMLInputElement

  The `input` element.

### getValue

- getValue(): string

- - Defined in ui/FormWidgets/TextInput.ts :100

  #### Returns string

  The text input current value.

### reset

- reset(): void

- - Defined in ui/FormWidgets/TextInput.ts :120

  #### Returns void

### setValue

- setValue(value: string): void

- - Defined in ui/FormWidgets/TextInput.ts :108

  #### Parameters

  - ##### value: string

  #### Returns void

## Constructors

### constructor

- new TextInput(onChange?: function, name?: string, options?: ITextInputOptions): TextInput

- - Defined in ui/FormWidgets/TextInput.ts :66

  #### Parameters

  - ##### Default value onChange: function = (textInput: TextInput) => {}

    - - (textInput: TextInput): void

      - #### Parameters

        - ##### textInput: TextInput

        #### Returns void

  - ##### Optional name: string

  - ##### Optional options: ITextInputOptions

  #### Returns TextInput

### Hierarchy

- TextInput

### Implements

- IFormWidget
- IFormWidgetSettable